Page MenuHomePhabricator

Flaky unit test MergeHistoryTest::testIsValidMerge
Closed, ResolvedPublic

Description

There was 1 failure:
00:13:48.712 
00:13:48.712 1) MergeHistoryTest::testIsValidMerge with data set #1 ('Test', 'Test2', 1534291200, true)
00:13:48.841 Failed asserting that false is true.
00:13:48.841 
00:13:48.841 /workspace/src/tests/phpunit/includes/MergeHistoryTest.php:38
00:13:48.842 /workspace/src/tests/phpunit/MediaWikiTestCase.php:475
00:13:48.842 /workspace/src/maintenance/doMaintenance.php:94

Details

Related Gerrit Patches:

Event Timeline

Krinkle created this task.Aug 15 2018, 12:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2018, 12:08 AM

Change 452873 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] MergeHistory: Fix flaky test due to relative timestamp

https://gerrit.wikimedia.org/r/452873

Change 452873 merged by jenkins-bot:
[mediawiki/core@master] MergeHistory: Fix flaky test due to relative timestamp

https://gerrit.wikimedia.org/r/452873

Krinkle closed this task as Resolved.Aug 16 2018, 5:58 PM
Krinkle claimed this task.
Krinkle triaged this task as Medium priority.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM